cURL
curl --request PUT \
--url https://api.example.com/themes/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.example.com/themes/{id}"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://api.example.com/themes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>"
}Theme
Put themes
Update a theme by id
PUT
/
themes
/
{id}
cURL
Path Parameters
The ID of the theme to update
Example:
"123"
Body
application/json
Response
200 - application/json
The theme that was updated
The ID of the theme
The name of the theme
The theme palette
The date the theme was created
The date the theme was last updated
The organization that owns the theme
⌘I